[arch-commits] Commit in drscheme/repos (3 files)

Eric Bélanger eric at archlinux.org
Fri Jun 5 00:43:35 EDT 2009


    Date: Friday, June 5, 2009 @ 00:43:34
  Author: eric
Revision: 41550

Merged revisions 41546 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/drscheme/trunk

........
  r41546 | eric | 2009-06-04 23:24:45 -0400 (Thu, 04 Jun 2009) | 2 lines
  
  upgpkg: drscheme 4.2-1
      Upstream update
........

Modified:
  drscheme/repos/extra-i686/	(properties)
  drscheme/repos/extra-i686/ChangeLog
  drscheme/repos/extra-i686/PKGBUILD

-----------+
 ChangeLog |    5 +++++
 PKGBUILD  |   16 ++++++++--------
 2 files changed, 13 insertions(+), 8 deletions(-)


Property changes on: drscheme/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /drscheme/trunk:1-31078
   + /drscheme/trunk:1-41549

Modified: extra-i686/ChangeLog
===================================================================
--- extra-i686/ChangeLog	2009-06-05 04:25:21 UTC (rev 41549)
+++ extra-i686/ChangeLog	2009-06-05 04:43:34 UTC (rev 41550)
@@ -1,3 +1,8 @@
+2009-06-04  Eric Belanger  <eric at archlinux.org>
+
+	* drscheme 4.2-1
+	* Upstream update
+
 2009-03-22  Eric Belanger  <eric at archlinux.org>
 
 	* drscheme 4.1.5-1

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-06-05 04:25:21 UTC (rev 41549)
+++ extra-i686/PKGBUILD	2009-06-05 04:43:34 UTC (rev 41550)
@@ -3,7 +3,7 @@
 # Contributor: John Proctor <jproctor at prium.net>
 
 pkgname=drscheme
-pkgver=4.1.5
+pkgver=4.2
 pkgrel=1
 pkgdesc="PLT Scheme Environment"
 arch=('i686' 'x86_64')
@@ -13,14 +13,14 @@
 options=('!makeflags')
 install=${pkgname}.install
 source=(http://download.plt-scheme.org/bundles/${pkgver}/plt/plt-${pkgver}-src-unix.tgz drscheme.desktop)
-md5sums=('62eb6c2377b38bdb73d726650ad8e6e2' '41ba9c74aa541308aa6f67b262387c6c')
-sha1sums=('a5f9559d84fff7ee5429b13a3da9e8c1e009bc22' '6b8247da9ce5f1e83f35bc14f90e8c34aae0e0d5')
+md5sums=('4517c9abb3be35e7ae5f74de0340e78a' '41ba9c74aa541308aa6f67b262387c6c')
+sha1sums=('e6dfb3e1ce60b23d5c38960ec26411a0d96dc5dd' '6b8247da9ce5f1e83f35bc14f90e8c34aae0e0d5')
 
 build() {
-  cd ${srcdir}/plt-${pkgver}/src
-  ./configure --prefix=/usr --enable-noopt  || return 1
+  cd "${srcdir}/plt-${pkgver}/src"
+  ./configure --prefix=/usr --enable-noopt || return 1
   make || return 1
-  make  DESTDIR=${pkgdir} install  || return 1
-  install -D -m644 ../collects/icons/plt.xpm ${pkgdir}/usr/share/pixmaps/drscheme.xpm || return 1
-  install -D -m644 ${srcdir}/drscheme.desktop ${pkgdir}/usr/share/applications/drscheme.desktop || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+  install -D -m644 ../collects/icons/plt.xpm "${pkgdir}/usr/share/pixmaps/drscheme.xpm" || return 1
+  install -D -m644 "${srcdir}/drscheme.desktop" "${pkgdir}/usr/share/applications/drscheme.desktop" || return 1
 }



More information about the arch-commits mailing list